Trigger replenishment
curl --request POST \
--url https://clarus-api.com/api/goods_out_processes/trigger_replenishment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"account_id": 1,
"location_id": 42,
"product_id": 123
}
'import requests
url = "https://clarus-api.com/api/goods_out_processes/trigger_replenishment"
payload = {
"account_id": 1,
"location_id": 42,
"product_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({account_id: 1, location_id: 42, product_id: 123})
};
fetch('https://clarus-api.com/api/goods_out_processes/trigger_replenishment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Replenishment
Trigger replenishment
Trigger a replenishment process for a specific product at a location. Used to restock pick faces from bulk storage.
POST
/
api
/
goods_out_processes
/
trigger_replenishment
Trigger replenishment
curl --request POST \
--url https://clarus-api.com/api/goods_out_processes/trigger_replenishment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"account_id": 1,
"location_id": 42,
"product_id": 123
}
'import requests
url = "https://clarus-api.com/api/goods_out_processes/trigger_replenishment"
payload = {
"account_id": 1,
"location_id": 42,
"product_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({account_id: 1, location_id: 42, product_id: 123})
};
fetch('https://clarus-api.com/api/goods_out_processes/trigger_replenishment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Request Structure
{
"account_id": 1,
"location_id": 42,
"product_id": 123
}
Key Fields
| Field | Required | Description |
|---|---|---|
account_id | Yes | Stock account ID |
location_id | Yes | Pickface location ID to replenish |
product_id | Yes | Product ID to replenish |
Behavior
- Initiates replenishment from bulk storage to the specified pickface location
- Creates replenishment tasks for warehouse operators
- Used to maintain stock levels in picking areas
Authorizations
OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.
FlowAuthorization Code
- Authorization URL
- https://clarus-api.com/oauth/authorize
- Token URL
- https://clarus-api.com/oauth/token
FlowClient Credentials
- Token URL
- https://clarus-api.com/oauth/token
The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.
Body
application/json
Response
Replenishment triggered successfully

